# ScePspUnion64 Union Reference

`#include <sdk/base/psptypes.h>`

Collaboration diagram for ScePspUnion64:

[legend]

## Data Fields

SceULong64 | ul
SceLong64 | l
unsigned int | ui [2]
int | i [2]
unsigned short | us [4]
short int | s [4]
unsigned char | uc [8]
char | c [8]
float | f [2]
ScePspSRect | sr
ScePspSVector4 | sv
ScePspRGBA8888 | rgba8888 [2]
ScePspRGBA4444 | rgba4444 [4]
ScePspRGBA5551 | rgba5551 [4]
ScePspRGB565 | rgb565 [4]

## Field Documentation

char ScePspUnion64::c[8]

float ScePspUnion64::f[2]

int ScePspUnion64::i[2]

SceLong64 ScePspUnion64::l

ScePspRGB565 ScePspUnion64::rgb565[4]

ScePspRGBA4444 ScePspUnion64::rgba4444[4]

ScePspRGBA5551 ScePspUnion64::rgba5551[4]

ScePspRGBA8888 ScePspUnion64::rgba8888[2]

short int ScePspUnion64::s[4]

ScePspSRect ScePspUnion64::sr

ScePspSVector4 ScePspUnion64::sv

unsigned char ScePspUnion64::uc[8]

unsigned int ScePspUnion64::ui[2]

SceULong64 ScePspUnion64::ul

unsigned short ScePspUnion64::us[4]

The documentation for this union was generated from the following file:

- sdk/base/psptypes.h